package com.persagy.common.utils;

import cn.hutool.core.util.StrUtil;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年8月26日:	下午5:22:35
 */
public class StringUtil extends StrUtil {
	
	/**
	 * 判断两个字符串是否都为空，或都不为空
	 * @return true-全空、全不为空；否则-false
	 */
	public static boolean concurIsNullOrExists(String param1, String param2) {
		if (isBlank(param1) && isBlank(param2)) {
			return true;
		} 
		if (isNotBlank(param1) && isNotBlank(param2)) {
			return true;
		}
		return false;
	}
	
	
	/**
	 * 移除字符串中指定的前缀和后缀
	 */
	public static String removePreAndSuffix(String param, String prefix, String suffix) {
		param = StringUtil.removePrefix(param, prefix);
		return StringUtil.removeSuffix(param, suffix);
	}
	
}
